#include "partition.h"
    #include<algorithm>
    using namespace std;
    std::vector<int> solve(std::vector<int> a) {
        int n=a.size();
        long long sum=0;
        vector<int> m;
        for(int i=0;i<n;i++) {
            sum+=a[i];
            m.emplace_back(i);
        }
        if(sum&1) sum++;
     //   sort(m.begin(),m.end());
        vector<int> v;
            int minr=5555,prev=-1,ts,lind;
        while(next_permutation(m.begin(),m.end()))
        {
            long cur=0;
            for(int i=0;i<n;i++){
                cur+=a[m[i]];
                if(cur>=sum/2) {
                    ts=abs(i+1-(n-i-1));
                    if(ts<minr) {v=m;minr=ts;lind=i;}
                    break;
                }
            }
        }
        return v;
    }
